
Redmine - Defect #17931

note "Applied in changeset" generated multiple times for the same repo

2014-09-23 01:25 - Sergiy Zuban

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 2.6.0   

Resolution: Fixed Affected version: 2.5.2

Description

I have couple sub-projects, but all of them uses the same GIT "Main" repository.

After recent upgrade to 2.5.2 scan_changesets_for_issue_ids() treats one changeset as independent changesets in sub-projects and

as a result adds "Applied in changeset SUBPROJECT:XXXXXXX" notes as well as note without prefix "Applied in changeset

XXXXXXX".

"Associated revisions" section points to the same revision multiple times making this feature annoying/useless.

Related issues:

Has duplicate Redmine - Defect #18850: Multiple repos with same commits is pa... Closed

Associated revisions

Revision 13427 - 2014-10-05 14:10 - Jean-Philippe Lang

Don't link multiple changesets from the same commit multiple times (#17931).

History

#1 - 2014-10-05 14:12 - Jean-Philippe Lang

- Category changed from Issues to SCM

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.6.0

- Resolution set to Fixed

This should be fixed by r13427. If a changeset from another repository that points to the same SCM backend (exact same URL configured in

Redmine repositories) is already associated with the issue, other changesets won't be added.

#2 - 2015-01-15 14:26 - Toshi MARUYAMA

- Has duplicate Defect #18850: Multiple repos with same commits is parsed multiple times. added
